{%extends '::base_admin.html.twig'%}
{%block body%}
    <div class="row"><div class="col-sm-12"><h3></h3></div></div>
    <div class="row">
        <div class="col-sm-12">
            <table class="table table-bordered">
                <thead>
                <th>N°</th>
                <th>Montant</th>
                <th>libellé</th>
                <th>Description</th>
                <th>Action</th>
                </thead>
                <tbody>
                    {%for c in contreparties%}
                        <tr>
                            <td>{{loop.index}}</td>
                            <td>{{c.montant}}</td>
                            <td>{{c.libelle}}</td>
                            <td>{{c.description|slice(0,256)}}</td>
                            <td>
                                <a href="{{path('admin_contrepartie_edit', {'id': c.id})}}" title="Consulter la fiche du projet" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-edit"></i></a>
                                <a data-toggle="modal" data-target="#myModal{{c.id}}" title="Supprimer le projet" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-trash"></i></a>

                                <div class="modal fade" id="myModal{{c.id}}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                <h4 class="modal-title" id="myModalLabel">Confirmation</h4>
                                            </div>
                                            <div class="modal-body">
                                                <p style="text-align: center">Voulez vous vraiment supprimer cette contrepartie?</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
                                                <a href="{{path('admin_contrepartie_delete', {'id': c.id})}}" class="btn btn-danger">Supprimer</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    {%endfor%}
                </tbody>
            </table>
        </div>
    </div>
{%endblock body%}